local modPath = ModPath

local function stringReplace(string, search, replace)
    return string:gsub(search, replace)
end

modPath = stringReplace(modPath, "\\", "/")

if modPath:sub(-1, -1) == "/" then
    modPath = modPath:sub(1, -2)
end

dofile(modPath .. "/libraries/DebugLogClass.lua")
dofile(modPath .. "/libraries/HexStatus.lua")

dofile(modPath .. "/classes/HT.lua")
dofile(modPath .. "/classes/Utils.lua")

HT.modPath = modPath
HT:loadSettings()

dofile(modPath .. "/classes/Tables.lua")
dofile(modPath .. "/classes/AntiCheatChecker.lua")
dofile(modPath .. "/classes/AntiCheat.lua")
dofile(modPath .. "/classes/Dexterity.lua")
dofile(modPath .. "/classes/Instant.lua")
dofile(modPath .. "/classes/Keybinds.lua")
dofile(modPath .. "/classes/Mission.lua")
dofile(modPath .. "/classes/Player.lua")
dofile(modPath .. "/classes/Spawn.lua")
dofile(modPath .. "/classes/Time.lua")
dofile(modPath .. "/classes/Unlocker.lua")
dofile(modPath .. "/classes/Updater.lua")
dofile(modPath .. "/classes/Extras.lua")
dofile(modPath .. "/classes/Extra.lua")
dofile(modPath .. "/classes/TrollMenu.lua")
dofile(modPath .. "/classes/Misc.lua")
pcall(function() HT.Misc:reapplyNameSpoof() end)
dofile(modPath .. "/classes/Reset.lua")
